Summary: SWIFT-RMVSY numerical N-body integrator for Solar System studies
Name: swift-rmvsy
Version: 20030930
Release: 1
Source: http://sirrah.troja.mff.cuni.cz/yarko-site/download/swift-rmvsy-20030930.tar.gz
Packager: Miroslav Broz <mira@sirrah.troja.mff.cuni.cz>
Vendor: Astronomical institute, Charles University, Prague
Url: http://sirrah.troja.mff.cuni.cz/yarko-site/
Copyright: GPL
Group: Utilities/Astronomy
#Requires: pgplot
BuildRoot: /tmp/swift-rmvsy-root
%description
The program is an add-on to the SWIFT (by M. Duncan and H. Levison;
http://www.boulder.swri.edu/~hal/swift.html) - a Solar System
integration software package. It includes Yarkovsky force,
on-line filter, 2nd order integrator by Laskar & Robutel (2000),
OpenMP parallel versions, etc.
%prep
%setup
%build
make OPTIM="$RPM_OPT_FLAGS" all
%install
mkdir -p $RPM_BUILD_ROOT/usr/{bin,doc/swift-rmvsy}
make PREFIX=$RPM_BUILD_ROOT/usr install
%files
%attr(0775,root,root) /usr/bin/swift_bs
%attr(0775,root,root) /usr/bin/swift_bs_f
%attr(0775,root,root) /usr/bin/swift_bs_f_y
%attr(0775,root,root) /usr/bin/swift_bs_f_pr
%attr(0775,root,root) /usr/bin/swift_bs_fp
%attr(0775,root,root) /usr/bin/swift_mvs
%attr(0775,root,root) /usr/bin/swift_mvs_f
%attr(0775,root,root) /usr/bin/swift_mvs_fp
%attr(0775,root,root) /usr/bin/swift_mvs_f_y
%attr(0775,root,root) /usr/bin/swift_rmvs3
%attr(0775,root,root) /usr/bin/swift_rmvs3_f
%attr(0775,root,root) /usr/bin/swift_rmvs3_f_y
%attr(0775,root,root) /usr/bin/swift_rmvs3_fp_y
%attr(0775,root,root) /usr/bin/swift_mvs2_f
%attr(0775,root,root) /usr/bin/swift_mvs2_f_y
%attr(0775,root,root) /usr/bin/swift_mvs2_f_pr
%attr(0775,root,root) /usr/bin/swift_mvs2_f_ypr
%attr(0775,root,root) /usr/bin/swift_mvs2_fp
%attr(0775,root,root) /usr/bin/swift_mvs2_fp_y
%attr(0775,root,root) /usr/bin/swiftcont
%attr(0775,root,root) /usr/bin/swiftsplit
%attr(0775,root,root) /usr/bin/propoff
%attr(0644,root,root) /usr/doc/swift-rmvsy/README
%attr(0644,root,root) /usr/doc/swift-rmvsy/HISTORY
